For the complete documentation index, see llms.txt. This page is also available as Markdown.

CIN Basic Verification

This API authenticates Company, LLP, FCRN, and Foreign LLP Identification Numbers issued by the Ministry of Corporate Affairs (MCA), ensuring secure validation of entity credentials.

cin_basic

POST https://secctrl.tutelar.io/api/v2/kyc/merchant/cin_basic

Name
Value

Content-Type

application/json

Authorization

Bearer eyJhbGciOiJ.....

Post parameters description is given below,

Post Parameter
Type
Is Mandatory
Description

cin_number

String

Yes

Company CIN Number

consent

String

Yes

Consent is required to make the API request. Value Must Be "Y"

active_complaiance

String

Yes

If this is true, it will return active compliance details Value Must Be yes/no

Sample Post Parameters

{
    "cin_number": "U72900JK2019PTC010815",
    "consent": "Y",
    "active_compliance": "yes"
}

Get details

GET https://secctrl.tutelar.io/api/v2/kyc/merchant/cin_basic

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated